> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connect.fastenhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Request Status

> Check the status of the EHI Export Task.

This is a polling endpoint intended for informational purposes only. It does not return the actual medical records or a `download_links` array. 
Instead, the `download_links` will be sent asynchronously to a customer-defined [webhook](/webhooks/introduction). 

<Note>
We use [webhooks](/webhooks/introduction) to deliver the `download_links` because they are more reliable and scalable for background job completion. 
Polling this endpoint repeatedly introduces unnecessary load and latency for your system and ours. Webhooks enable 
instant delivery of results the moment they're ready.      

**If your [webhook](/webhooks/introduction) is not configured, you will not be able to retrieve the exported EHI.**
</Note>

<Warning>
This endpoint requires an API public id & private key for authentication. Do not expose these keys in the browser.
</Warning>




## OpenAPI

````yaml GET /bridge/fhir/ehi-export/{taskId}
openapi: 3.0.1
info:
  title: Fasten Connect
  description: >-
    Useful links:

    - [Fasten Connect API
    repository](https://github.com/fastenhealth/fasten-connect-api)

    - [Fasten Connect Developer
    Portal](https://github.com/fastenhealth/fasten-connect-app)
  termsOfService: https://www.fastenhealth.com/
  contact:
    email: connect@fastenhealth.com
  license:
    name: Private
  version: 1.0.11
servers:
  - url: https://api.connect.fastenhealth.com/v1/
    description: Use this server for both live and test mode.
security: []
tags:
  - name: auth
    description: Portal Authentication & Signup
  - name: user
    description: Operations about user
  - name: org
    description: Operations about organization
  - name: bridge
    description: Customer (organization) facing APIs
  - name: catalog
    description: Catalog APIs
externalDocs:
  description: Find out more about Fasten Connect
  url: https://www.fastenhealth.com/
paths:
  /bridge/fhir/ehi-export/{taskId}:
    get:
      tags:
        - bridge
      summary: Get EHI Export Status/Results
      description: >
        Check the status of the EHI Export Task.


        This is a polling endpoint intended for informational purposes only. It
        does not return the actual medical records or a `download_links` array. 

        Instead, the `download_links` will be sent asynchronously to a
        customer-defined [webhook](/webhooks/introduction). 


        <Note>

        We use [webhooks](/webhooks/introduction) to deliver the
        `download_links` because they are more reliable and scalable for
        background job completion. 

        Polling this endpoint repeatedly introduces unnecessary load and latency
        for your system and ours. Webhooks enable 

        instant delivery of results the moment they're ready.      


        **If your [webhook](/webhooks/introduction) is not configured, you will
        not be able to retrieve the exported EHI.**

        </Note>


        <Warning>

        This endpoint requires an API public id & private key for
        authentication. Do not expose these keys in the browser.

        </Warning>
      parameters:
        - name: taskId
          in: path
          description: Task Id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/EhiExportRequestStatus'
      security:
        - bridge_basic: []
components:
  schemas:
    EhiExportRequestStatus:
      type: object
      properties:
        task_id:
          type: string
          format: string
          description: Task Id
          example: c9c7a91b66b34fdca749bb8e9cfbf617
        status:
          type: string
          enum:
            - pending
            - success
            - failed
          example: pending
      xml:
        name: ehi_export_request_status
  securitySchemes:
    bridge_basic:
      type: http
      scheme: basic
      description: >
        [Basic Authentication](/api-reference/authentication), containing API
        Public Id and Private Key generated from the Fasten Connect Portal. **Do
        not expose these keys in the browser.**

````